package com.gic.haoban.manage.web.vo.content;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;

import java.io.Serializable;
import java.util.List;

/**
 * 栏目基础信息对象
 * @Author MUSI
 * @Date 2022/10/27 5:00 PM
 * @Description
 * @Version
 **/
public class ContentColumnInfoVO implements Serializable {

    private static final long serialVersionUID = -2026406533078749880L;
    /**
     * 栏目id
     */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long contentColumnId;

    /**
     * 栏目名称
     */
    private String contentColumnName;

    /**
     * 是否有新素材 1是0否
     */
    private Integer newFlag;

    /**
     * 子级栏目
     */
    private List<ContentColumnInfoVO> childrenColumn;

    public Long getContentColumnId() {
        return contentColumnId;
    }

    public void setContentColumnId(Long contentColumnId) {
        this.contentColumnId = contentColumnId;
    }

    public String getContentColumnName() {
        return contentColumnName;
    }

    public void setContentColumnName(String contentColumnName) {
        this.contentColumnName = contentColumnName;
    }

    public Integer getNewFlag() {
        return newFlag;
    }

    public void setNewFlag(Integer newFlag) {
        this.newFlag = newFlag;
    }

    public List<ContentColumnInfoVO> getChildrenColumn() {
        return childrenColumn;
    }

    public void setChildrenColumn(List<ContentColumnInfoVO> childrenColumn) {
        this.childrenColumn = childrenColumn;
    }

}
